For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings Event Types

List Event Types

get

Lists event types. Event types are the categories used when scheduling a calendar/CRM event (e.g. Consultation, Walkthrough) tied to a deal or quote.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of event types

application/json
totalRowsnumberOptional
get/settings/eventTypes
GET /v2/settings/eventTypes HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalRows": 1,
  "rows": [
    {
      "id": "consultation",
      "name": "Consultation"
    }
  ]
}

Create Event Type

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

The name of the event type.

Responses
200

Successfully created event type

application/json
idstringRequired

The unique ID of the event type.

namestringRequired

The name of the event type.

post/settings/eventTypes
POST /v2/settings/eventTypes HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23

{
  "name": "Consultation"
}
{
  "id": "consultation",
  "name": "Consultation"
}

Retrieve Event Type

get

Retrieves a single event type by ID. Event types are the categories used when scheduling a calendar/CRM event (e.g. Consultation, Walkthrough) tied to a deal or quote.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Event Type

Responses
200

Details about the event type

application/json
idstringRequired

The unique ID of the event type.

namestringRequired

The name of the event type.

get/settings/eventTypes/{id}
GET /v2/settings/eventTypes/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "consultation",
  "name": "Consultation"
}

Update Event Type

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Event Type

Body
idstringRequired

The unique ID of the event type.

namestringRequired

The name of the event type.

Responses
200

Successfully updated event type

application/json
idstringRequired

The unique ID of the event type.

namestringRequired

The name of the event type.

put/settings/eventTypes/{id}
PUT /v2/settings/eventTypes/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "id": "consultation",
  "name": "Consultation"
}
{
  "id": "consultation",
  "name": "Consultation"
}

Delete Event Type

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Event Type

Responses
204

Event Type successfully deleted

No content

delete/settings/eventTypes/{id}
DELETE /v2/settings/eventTypes/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?